Logos for new wikis are pixelized
Closed, ResolvedPublic

Description

Inhwiki, gorwiki, lfnwiki. Please redo their logos.

Urbanecm created this task.Apr 25 2018, 3:00 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 25 2018, 3:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as High priority.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 25 2018, 3:02 PM
stjn added a subscriber: stjn.Apr 25 2018, 3:54 PM
Urbanecm updated the task description. (Show Details)Apr 25 2018, 4:34 PM

Not euwikisource's problem, according to @stjn at T184374#4157802.

Well... For lfnwiki, this seems to be not problem caused by me. I did the following.

  1. I downloaded //upload.wikimedia.org/wikipedia/commons/2/21/Wikipedia-logo-v2-lfn.png
  2. I saved it into static/images/project-logos as lfnwiki.png
  3. I ran optipng -o7 static/images/project-logos/lfnwik.png
  4. I ran git status
  5. No differences were shown

For other projects, I downloaded the SVG thumbnail from Commons for the exact size I need (135x155 px, 1.5x and 2x), optipnged it and there were some differences. Maybe the PNG itself is bad quality (don't see it through, just regenerating the images). I'm going to upload this first batch and wait for you.

@MF-Warburg, can you provide SVG for lfnwiki? It would be helpful anyway, for HD logos (ideally, every project should have its own HD variant).

Change 428953 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix pixelization of new wiki logos

https://gerrit.wikimedia.org/r/428953

Urbanecm moved this task from Backlog to To deploy - SWAT necessary on the User-Urbanecm board.

@MF-Warburg, can you provide SVG for lfnwiki? It would be helpful anyway, for HD logos (ideally, every project should have its own HD variant).

I can't, I don't make logos.

You created the main task, I thought you can ask it from some community member ;). But this is up to you, maybe somebody will make it later.

Change 428953 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix pixelization of new wiki logos

https://gerrit.wikimedia.org/r/428953

Mentioned in SAL (#wikimedia-operations) [2018-04-26T13:09:07Z] <zfilipin@tin> Synchronized static/images/project-logos/: SWAT: [[gerrit:428953|Fix pixelization of new wiki logos (T193028)]] (duration: 01m 17s)

@stjn This should be resolved, can you have a second look, please?

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/gorwiki-1.5x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/gorwiki-2x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/gorwiki.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/inhwiki-1.5x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/inhwiki-2x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@terbium:~$ echo "https://en.wikipedia.org/static/images/project-logos/inhwiki.png" | mwscript purgeList.php
Purging 1 urls
Done!
stjn added a comment.Apr 26 2018, 1:14 PM

@stjn This should be resolved, can you have a second look, please?

Indeed, resolved for inh/gor. Lfn still the same, as you would guess.

I dont have SVG logo for inh. I really cannot create anything better, the source PNG itself is bad.

Urbanecm closed this task as Resolved.Apr 29 2018, 6:49 PM

Logos that could be solvable was resolved.

stjn added a comment.May 4 2018, 1:32 PM

@Urbanecm, hey, maybe you can write to this user from lfnwiki about releasing SVG version from their Wikia [1] under a free licence? It seems to not have those issues.

[1]: http://lfn.wikia.com/wiki/User_talk:Simon_Davies#Wikipedia_logo

I really do not think that Wikipedia logo needs to be released - it is a trademark owned by the Wikimedia Foundation, copyright is owned by the Wikimedia Foundation. IMHO it can be downloaded and used without any issue. I'd appreciate opinions of others.

Vvjjkkii renamed this task from Logos for new wikis are pixelized to f9daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from f9daaaaaaa to Logos for new wikis are pixelized.Jul 1 2018, 9:09 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Urbanecm.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.

Although this was marked as resolved, I see the Lingua Franca Nova Wikipedia logo is still blurry compared to the logos of other languages. What needs to be done? I asked Simon on the above mentioned page about the SVG to which he replied "There's no reason they can't use the SVG logo above. I created it at the same time as the PNG they're already using, starting from the standard base image and following their instructions".